petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSAlphaGetParams

gets the algorithmic parameters for TSALPHA

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAlphaGetParams(TS ts,PetscReal *alpha_m,PetscReal *alpha_f,PetscReal *gamma)

Not Collective

### Input Parameter

| ts | - timestepping context
| \alpha_m | - algorithmic parameter
| \alpha_f | - algorithmic parameter
| \gamma | - algorithmic parameter

### Note

Use of this function is normally only required to hack TSALPHA to use a modified integration scheme. Users should call TSAlphaSetRadius() to set the high-frequency damping (i.e. spectral radius of the method) in order so select optimal values for these parameters.

### See Also

TSAlphaSetRadius(), TSAlphaSetParams()

Level:advanced
Location:src/ts/impls/implicit/alpha/alpha.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages